module initial_i

 interface
subroutine initial(params, a0, b0, c0, d0, phi0)
  use input_params
  real*8, dimension(100)     :: params
  real*8, dimension (:,:,:) :: a0, b0, c0, d0, phi0

 end subroutine 
 end interface 

 end module
